Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027107
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2014-07-17 10:352014-08-08 18:53
ReportershuehnerView Statuspublic 
Assigned Toinigosanchez 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchpiFixed in SCM revision2af6df6ea7fe
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027107: Some more junit testcase ordering problems (with latest java6 updates +java7)

Descriptionsimilar to 26968.

Found by:
http://ci.openbravo.com/job/int-checks-pgsql/lastCompletedBuild/testReport/ [^]
UniqueConstraintImportTest.testCountryTrlImport must be ran after testACreateCountryTrl or it will always fail.

However that testACreateCountryTrl is not really testing anything so should not be a test-method in any case imo.


DalTest.testSaveBooleanValue2 needs to come after testSaveBooleanValue1.
Also many other methods in that file looks to have implicit dependencies between them.



Found by:
http://ci.openbravo.com/view/try/job/try-checks-oracle/506/ [^]
Here test-module creation must be before usage
    org.openbravo.test.modularity.DBPrefixTest.testAddDBPrefixValid2
    org.openbravo.test.modularity.DBPrefixTest.testAddDBPrefixNotValid1
    org.openbravo.test.modularity.DBPrefixTest.testAddDBPrefixNotValid2
    org.openbravo.test.modularity.DBPrefixTest.testAddDBPrefixNotValid3
    org.openbravo.test.modularity.DBPrefixTest.testAddDBPrefixNotValid4
    org.openbravo.test.modularity.TableNameTest.testCreateTable2
    org.openbravo.test.modularity.TableNameTest.testChangePackage
    org.openbravo.test.modularity.TableNameTest.testCreateTable1
Steps To ReproduceRun those junit tests (all in their defining files) often enough with latest openjdk-6 (>=6b31) or java 7.

And notice that they sometimes fail.

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00269683.0PR14Q4 closedinigosanchez jUnit test cases falling in latest jdk6 and jdk7 
related to defect 00272743.0PR14Q4 closedinigosanchez 1 more junit testcase failing with latest openjdk-6 

-  Notes
(0068721)
shuehner (administrator)
2014-07-18 11:23

And some more:
from: https://ci.openbravo.com/view/retail/job/ret-checks-pgsql/403/ [^]
org.openbravo.test.preference.PreferenceTest.testPLConflict
org.openbravo.test.preference.PreferenceTest.testSolvedConflict
org.openbravo.test.preference.PreferenceTest.testPLSolvedConflict
(0068737)
shuehner (administrator)
2014-07-18 19:10

And some more cases (probably):
org.openbravo.test.dal.ReadByNameTest.testFindLocation
org.openbravo.test.dal.ReadByNameTest.testPBData
(0068747)
hgbot (developer)
2014-07-21 08:44

Repository: erp/devel/pi
Changeset: c0d0ff12a14b3087c751e09bf27d21aae5e33697
Author: Inigo Sanchez <inigo.sanchez <at> openbravo.com>
Date: Mon Jul 21 08:40:58 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c0d0ff12a14b3087c751e09bf27d21aae5e33697 [^]

related to bug 27107: fixed test cases in TableNameTest

---
M src-test/org/openbravo/test/modularity/TableNameTest.java
---
(0068750)
hgbot (developer)
2014-07-21 09:37

Repository: erp/devel/pi
Changeset: 1009aa7d91bfde8f77d661093e8cb6870e20cc5a
Author: Inigo Sanchez <inigo.sanchez <at> openbravo.com>
Date: Mon Jul 21 09:35:59 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1009aa7d91bfde8f77d661093e8cb6870e20cc5a [^]

related to bug 27107: fixed test cases in DBPrefixTest

---
M src-test/org/openbravo/test/modularity/DBPrefixTest.java
---
(0068753)
shuehner (administrator)
2014-07-21 11:09

and more from int-check-ora 0000689
org.openbravo.test.dal.DalQueryTest.testRemoveBPGroup
org.openbravo.test.dal.DynamicEntityTest.testRemoveBPGroup
(0068757)
hgbot (developer)
2014-07-21 12:36

Repository: erp/devel/pi
Changeset: c279870e202b1a223d043c44cfd0a3fb57ebc9df
Author: Inigo Sanchez <inigo.sanchez <at> openbravo.com>
Date: Mon Jul 21 12:35:34 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c279870e202b1a223d043c44cfd0a3fb57ebc9df [^]

related to bug 27107: fixed test cases in DynamicEntityTest and other.

---
M src-test/org/openbravo/test/dal/DynamicEntityTest.java
M src-test/org/openbravo/test/xml/UniqueConstraintImportTest.java
---
(0068764)
hgbot (developer)
2014-07-21 14:17

Repository: erp/devel/pi
Changeset: 3de9f6eb5863330f18c4ab109a3f1e2da82a4c7d
Author: Inigo Sanchez <inigo.sanchez <at> openbravo.com>
Date: Mon Jul 21 14:15:37 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3de9f6eb5863330f18c4ab109a3f1e2da82a4c7d [^]

related to bug 27107: fixed test cases in ReadByNameTest and other.

---
M src-test/org/openbravo/test/dal/DalQueryTest.java
M src-test/org/openbravo/test/dal/ReadByNameTest.java
---
(0068788)
hgbot (developer)
2014-07-22 10:33

Repository: erp/devel/pi
Changeset: 33e4af9b357559f5dfef5da6a77f90380b16790a
Author: Inigo Sanchez <inigo.sanchez <at> openbravo.com>
Date: Tue Jul 22 10:31:55 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/33e4af9b357559f5dfef5da6a77f90380b16790a [^]

related to bug 27107: fixed test cases in PreferenceTest.

---
M src-test/org/openbravo/test/preference/PreferenceTest.java
---
(0068815)
hgbot (developer)
2014-07-22 16:59

Repository: erp/devel/pi
Changeset: 2af6df6ea7fee9a62b0f0292f0147ec05c47bb9c
Author: Inigo Sanchez <inigo.sanchez <at> openbravo.com>
Date: Tue Jul 22 16:58:27 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2af6df6ea7fee9a62b0f0292f0147ec05c47bb9c [^]

related to bug 27107: fixed test cases in DalTest.

---
M src-test/org/openbravo/test/dal/DalTest.java
---
(0068954)
alostale (developer)
2014-07-29 12:01

code reviewed
ci working fine so far during the last week
(0069190)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069192)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069193)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069195)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069204)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069213)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-07-17 10:35 shuehner New Issue
2014-07-17 10:35 shuehner Assigned To => inigosanchez
2014-07-17 10:35 shuehner Modules => Core
2014-07-17 10:35 shuehner Triggers an Emergency Pack => No
2014-07-17 10:36 shuehner Relationship added related to 0026968
2014-07-18 11:23 shuehner Note Added: 0068721
2014-07-18 19:10 shuehner Note Added: 0068737
2014-07-21 08:44 hgbot Checkin
2014-07-21 08:44 hgbot Note Added: 0068747
2014-07-21 09:37 hgbot Checkin
2014-07-21 09:37 hgbot Note Added: 0068750
2014-07-21 10:38 shuehner Issue Monitored: shuehner
2014-07-21 11:09 shuehner Note Added: 0068753
2014-07-21 12:36 hgbot Checkin
2014-07-21 12:36 hgbot Note Added: 0068757
2014-07-21 14:17 hgbot Checkin
2014-07-21 14:17 hgbot Note Added: 0068764
2014-07-22 10:33 hgbot Checkin
2014-07-22 10:33 hgbot Note Added: 0068788
2014-07-22 16:59 hgbot Checkin
2014-07-22 16:59 hgbot Note Added: 0068815
2014-07-29 12:00 alostale Status new => scheduled
2014-07-29 12:00 alostale fix_in_branch => pi
2014-07-29 12:01 alostale Status scheduled => resolved
2014-07-29 12:01 alostale Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2af6df6ea7fee9a62b0f0292f0147ec05c47bb9c [^]
2014-07-29 12:01 alostale Resolution open => fixed
2014-07-29 12:01 alostale Review Assigned To => alostale
2014-07-29 12:01 alostale Note Added: 0068954
2014-07-29 12:01 alostale Status resolved => closed
2014-07-29 12:01 alostale Fixed in Version => 3.0PR14Q4
2014-08-04 16:40 shuehner Relationship added related to 0027274
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069190
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069192
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069193
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069195
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069204
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069213


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker